Page MenuHomePhabricator

Make Hierator available via RESTBase
Closed, InvalidPublic

Description

Hi, I'd like to make the Hierator API available via RESTBase. What's needed to make this happen? :)

Event Timeline

MaxSem created this task.Mar 25 2015, 5:05 AM
MaxSem raised the priority of this task from to Needs Triage.
MaxSem updated the task description. (Show Details)
MaxSem added projects: RESTBase, Services, WikiHiero.
MaxSem added a subscriber: MaxSem.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 5:05 AM

@MaxSem not so many things :P But first, some questions from our side:

  • Timeline: I see Hierator is not in prod yet, any ETA on that?
  • Caching / Storing: the RFC suggests storing the generated SVGs would be plausible. What are the storage requirements for that?
  • Performance: what is the envisioned request rate? Do you have some data on that?
  • Timeline: I see Hierator is not in prod yet, any ETA on that?

The service itself is ready, I want to ideally deploy it in May.

  • Caching / Storing: the RFC suggests storing the generated SVGs would be plausible. What are the storage requirements for that?

Negligibly low, but cache lifetime is essential to achieve good latency.

  • Performance: what is the envisioned request rate? Do you have some data on that?

It will be used to serve hieroglyphics images in articles. Overall, the number of page views of articles with hieroglyphics on English Wikipedia is probably at 100-200K per day, all the other Wikipedias are going to be approximately the same load combined. Considering ~1.5 hieroglyphics per page on average, that's going to be 600K requests/day tops. Because the hieroglyphic texts almost never change, most of these requests should be served by varnishes in front of RESTBase, however a Cassandra caching is still very desired because when a 30 days old parser cache expires it is still extremely desireable to have the hieroglyphics metadata (Hierator /info action) for it cached somewhere with low latency.

We just talked about this in the office. The cache module is essentially ready, so the next steps for deployment should be:

  • T98928: Security review for Hierator
  • work with @mobrovac and @akosiaris on the puppetization and deployment
  • configure an entry point in RESTBase
    • content can be shared between languages
    • paths are /{format}/{size}px/{content}, with content being some hiero-markup (ex: ?).
    • SVGs currently include a size, although it might be worth investigating if the size could be set on the client

We just talked about this in the office. The cache module is essentially ready, so the next steps for deployment should be:

  • paths are /{format}/{size}px/{content}, with content being some hiero-markup (ex: ?)

Also /list, for listing supported glyphs. Doesn't strictly needs to be publicly accessible (needed internally by Special:Hieroglyphs), but would be nice to.

List of hieroglyphic texts: https://www.mediawiki.org/wiki/Extension:WikiHiero/enwiki_list (not everything from this list is necessarily valid).

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 13 2015, 8:47 PM
MaxSem closed this task as Invalid.Jun 6 2016, 10:39 PM